/*****************************************************************************
Author: Ashish Adhikari
Version: 1.0
Blog:   http://diyfactory007.blogspot.com.au
******************************************************************************/
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET 4 // LED_BUILTIN  
Adafruit_SSD1306 display1(OLED_RESET);
Adafruit_SSD1306 display2(OLED_RESET);

#define XPOS 0
#define YPOS 1
#define DELTAY 2

void setup()   {
 Serial.begin(115200);
 display1.begin(SSD1306_SWITCHCAPVCC, 0x3C);  // display 1 address 0x3C
 display2.begin(SSD1306_SWITCHCAPVCC, 0x3D);  // display 2 address 0x3D
 display1.clearDisplay();
 display2.clearDisplay();
 display1.setTextColor(WHITE);
 display2.setTextColor(WHITE);
}

void loop() {
  display1.clearDisplay();
  display1.setTextSize(2);
  display1.setCursor(0,0);
  display1.print ("Display 1");
  display1.setCursor(0,25);
  display1.setTextSize(4);
  display1.print("Hello");
  display1.display();

  display2.clearDisplay();
  display2.setTextSize(2);
  display2.setCursor(0,0);
  display2.print ("Display 2");
  display2.setCursor(0,25);
  display2.setTextSize(4);
  display2.print("World");
  display2.display();
  
  delay(3000);
}

